# Env | ONNX Runtime JavaScript API
Documentation for ONNX Runtime JavaScript API

# Interface Env

#### Hierarchy

- Env

#### Indexable

[name: string]: unknown

- Defined in env.ts:5
- Defined in env.ts:88

#####
Index

### Properties

debug?
logLevel?
wasm
webgl

## Properties

### `Optional` debug

debug?: boolean

Indicate whether run in debug mode.

### Default Value

`false`

- Defined in env.ts:100

### `Optional` logLevel

logLevel?: "error" | "verbose" | "info" | "warning" | "fatal"

set the severity level for logging.

### Default Value

`'warning'`

- Defined in env.ts:94

### wasm

wasm: WebAssemblyFlags

Represent a set of flags for WebAssembly

- Defined in env.ts:105

### webgl

webgl: WebGLFlags

Represent a set of flags for WebGL

- Defined in env.ts:110

Generated using TypeDoc